"""Grid Shared File System Test

Checks whether the shared file system is mounted.

Author: Thomas Low <thomas.low@cern.ch>
"""

import os, random
from swatc.common.test import Test

def getTest():
	if random.random() > 0.1:
                return
	t = Test("wn_grid_afs")
	t.testVersion = "1.0"
	
	try:
		os.listdir("/afs/cern.ch/")
		t.afsAvailable = "1"
		t.summary = "y"
	except Exception, err:
		t.afsAvailable = "0"
		t.summary = "n"
		t.detailsdata = str(err)
	
	return t
	
	
